package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;
/**
 * @author Mount Liu
 * @date 2019/9/18
 */
public class StudentHomeworkNoFeedbackDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 作业id
     */
    private String homeworkId;
    /**
     * 老师id
     */
    private String teacherId;
    /**
     * 老师名称
     */
    private String teacherName;
    /**
     * 会员id
     */
    private String vipId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 科目
     */
    private String subject;
    /**
     * 张数
     */
    private String picNums;
    /**
     * 状态：{ 批改老师（1：未分配；2：已分配未批改；3：批改中）；匹配知识点老师（1：未分配；2：已分配未匹配；3：匹配中）}
     */
    private int status;
    /**
     * 是否能分配(0:否，1：是)
     */
    private int canAllot;
    /**
     * 是否能批改/匹配(0:否，1：是)
     */
    private int canCorrect;
    /**
     * 等待时长
     */
    private String waitTime;
    /**
     * 状态时间
     */
    private String statusTime;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getPicNums() {
        return picNums;
    }

    public void setPicNums(String picNums) {
        this.picNums = picNums;
    }

    public int getCanAllot() {
        return canAllot;
    }

    public void setCanAllot(int canAllot) {
        this.canAllot = canAllot;
    }

    public int getCanCorrect() {
        return canCorrect;
    }

    public void setCanCorrect(int canCorrect) {
        this.canCorrect = canCorrect;
    }

    public String getWaitTime() {
        return waitTime;
    }

    public void setWaitTime(String waitTime) {
        this.waitTime = waitTime;
    }

    public String getStatusTime() {
        return statusTime;
    }

    public void setStatusTime(String statusTime) {
        this.statusTime = statusTime;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
